Bug 153752 - Kernel panic when restarting networking (Broadcom NICs)
Kernel panic when restarting networking (Broadcom NICs)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-05 12:52 EDT by Alex Greg
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 21:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Greg 2005-04-05 12:52:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
When I restart the networking on a couple of our machines (Dual EM64T Xeon 3.6Ghz, 4 Broadcom NICs (2 onboard, 2 cards, 2 bonded pairs), IBM x346), the kernel panics and the machine dies.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Restart networking (service network stop ; service network start)
2. Look at local console, see panic output

Actual Results:  The kernel panicked with the following output (manually copied from the console):

Code: F2AE488B44240848F7E1448D69FF488378600048
RIP <ffffffff801a3ae0> (remove_proc_entry+63) RSP <00000100BFF27E78>
CR2: 00000000290101ef
<3> debug: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic:(1), irqs_disabled:(0)
call trace: <irq> <ffffffff8012e539> (__might_sleep+171) <ffffffff80134047) (profile_task_exit+31)
	<ffffffff801355cf> (do_exit+34) <ffffffff8010f8df> (oops_end+38)
	<ffffffff8012003d> (do_page_fault+1222) <ffffffff802c9c6> (igmpv3_newpack+129)
	<ffffffff8010eb8d> (error_exit+0) <ffffffff801a3ae0> (remove_proc_entry+63)
	<ffffffffa0122ee4> (:ipv6:snmp6_unregister_dev+54) <ffffffffa010497d> (:ipv6:in6_dev_finish_destroy+133)
	<ffffffff802a1ce1> (dft_destroy+124) <ffffffff802a1d37> (dft_run_gc+0)
	<ffffffff802a1d9b> (dst_run_gc+100) <ffffffff8013b6b5> (run_timer_softirq+356)
	<ffffffff80138088> (__do_softirq+88) <ffffffff80138131> (do_softirq+49)
	<ffffffff8010e9f1> (apic_timer_interrupt+133) <EOI> <ffffffff8010c78c> (mwait_idle+86)
	<ffffffff8010c71c> (cpu_idle+26)
Kernel panic - not syncing: Aiee, killing interrupt handler!

Expected Results:  The networking should have stopped and come back up without the kernel panicking.

Additional info:
Comment 1 Dave Jones 2005-07-15 16:37:12 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:12:44 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.